<?php

use Illuminate\Support\Facades\Http;

function getUserCountry($ip = null) {
    $ip = $ip ?: request()->ip(); // Use the request's IP or a provided one.
    $accessToken = env('IPINFO_API_KEY');  // Store your API key in .env

    $response = Http::get("http://ipinfo.io/{$ip}/json?token={$accessToken}");

    if ($response->successful()) {
        $data = $response->json();
        return [
            'country' => $data['country'] ?? null,
            'country_name' => getCountryName($data['country'] ?? ''),
            'latitude' => $data['loc'] ? explode(',', $data['loc'])[0] : null,
            'longitude' => $data['loc'] ? explode(',', $data['loc'])[1] : null,
        ];
    }
    return null;
}

function getCountryName($countryCode) {
    // You could use a package or a predefined list for country names by code.
    $countries = [
        'US' => 'United States',
        'GB' => 'United Kingdom',
        // Add other countries
    ];

    return $countries[$countryCode] ?? 'Unknown';
}
