<?php

namespace App\Http\Controllers;

use App\Models\BusinessSettings;
use App\Models\Category;
use App\Models\Game;
use App\Models\Home;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    public function index()
    {
        $featuredGames = Game::where('status', 1)->where('featured', 1)->orderBy('id', 'DESC')->limit(5)->get();
        $categories = Category::where('is_active', 1)->get();
        $games = Game::where('status', 1)->orderBy('id', 'DESC')->get();
        $topGames = Game::where('status', 1)->orderBy('views', 'DESC')->limit(24)->get();
        $settings = BusinessSettings::pluck('value', 'key')->toArray();
        $allGames = Game::where('status', 1)->orderBy('id', 'DESC')->get();
        $homeCategories = Category::where('is_active', 1)->where('is_home_page', 1)->get();
        return view('frontend.home.index', compact('games', 'categories', 'featuredGames', 'topGames', 'settings', 'allGames', 'homeCategories'));
    }

    public function topGames(){
        $settings = BusinessSettings::pluck('value', 'key')->toArray();
        $topGames = Game::where('status', 1)->orderBy('views', 'DESC')->get();
        return view('frontend.top-games.index', compact('topGames', 'settings'));
    }

}
