<?php

namespace App\Http\Controllers;

use App\Models\MenuItems;
use Illuminate\Http\Request;

class MenuItemsController extends Controller
{
    public function createMenuItem($menuId)
    {
        $menu_Id = $menuId;
        $menuItems = MenuItems::where('menu_id', $menuId)->orderBy('order', 'asc')->get();
        return view('backend.menus.create_item', compact('menu_Id', 'menuItems'));
    }


    public function storeMenuItem(Request $request)
    {
        if (env('DEMO_MODE') == 'on') {
            return redirect()->back()->with('error', 'This action is disabled in demo mode.');
        } else {
            // Validation
            $request->validate([
                'title' => 'required|string|max:255',
                'menu_id' => 'required|integer', // Ensure menu_id is valid
            ]);

            $menuItems = new MenuItems();
            // Create menu item

            $menuItems->title = $request->title;
            $menuItems->menu_id = $request->menu_id;
            $menuItems->url = $request->url;
            $menuItems->save();

            return redirect()->back()->with('success', 'Menu item created successfully.');
        }
    }


    public function editMenuItem($id)
    {
        $item = MenuItems::findOrFail($id);
        return view('backend.menus.edit_item', compact('item'));
    }

    public function updateMenuItem(Request $request)
    {
        $item = MenuItems::findOrFail($request->id);
        $item->update($request->all());
        return redirect()->back()->with('success', 'Menu item updated successfully.');
    }

    public function destroyMenuItem($id)
    {
        $item = MenuItems::findOrFail($id);
        $item->delete();
        return redirect()->route('admin.menus.edit', $item->menu_id)->with('success', 'Menu item deleted successfully.');
    }
}
