<?php

namespace App\Http\Controllers;

use App\Models\Languages;
use App\Models\Translation;
use Illuminate\Http\Request;

class TranslationController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index($id)
    {
        $language = Languages::find($id);
        $translations = Translation::all();
        // Get all languages
        $languages = Languages::all();
        return view('backend.translation.index', compact('translations', 'language'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $translations = $request->input('translation', []);

        foreach ($translations as $key => $locales) {
            foreach ($locales as $locale => $value) {
                // Check if a translation already exists for the key and locale
                $translation = Translation::updateOrCreate(
                    ['key' => $key, 'locale' => $locale],
                    ['value' => $value]
                );
            }
        }

        // Redirect back with a success message
        return redirect()->back()->with('success', 'Translations saved successfully.');
    }


    /**
     * Display the specified resource.
     */
    public function show(Translation $translation)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Translation $translation)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Translation $translation)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Translation $translation)
    {
        //
    }
}
