<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class MaintenanceMode
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle($request, Closure $next)
    {
        // Allow specific IPs or routes during maintenance
        if (app()->isDownForMaintenance() && !$this->shouldPassThrough($request)) {
            abort(503);
        }

        return $next($request);
    }

    protected function shouldPassThrough($request)
    {
        $allowedIps = ['127.0.0.1'];
        $allowedRoutes = ['/admin/dashboard'];

        return in_array($request->ip(), $allowedIps) || in_array($request->path(), $allowedRoutes);
    }
}
