<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class NewsletterMail extends Mailable
{
    use Queueable, SerializesModels;

    public $subject;
    public $htmlContent;
    public $textContent;

    /**
     * Create a new message instance.
     *
     * @param string $subject
     * @param string $htmlContent
     * @param string $textContent
     */
    public function __construct($subject, $htmlContent, $textContent)
    {
        $this->subject = $subject;
        $this->htmlContent = $htmlContent;
        $this->textContent = $textContent;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject($this->subject)
                    ->view('backend.newsletter.newsletter')
                    ->text('backend.newsletter.newsletter_plain')
                    ->with([
                        'htmlContent' => $this->htmlContent,
                        'textContent' => $this->textContent,
                    ]);
    }
}
