<?php

namespace App\Providers;

use App\Models\BusinessSettings;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Cookie;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\URL;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        // Fetch the default language from the database
        $defaultLang = BusinessSettings::where('key', 'default_language')->first()->value;
        // Check if the locale is set in session or cookie, otherwise use the default language
        $locale = session('locale', Cookie::get('app_locale', $defaultLang));
        // Set the application locale
        App::setLocale($locale);

        if (env('FORCE_HTTPS') == 'on') {
            URL::forceScheme('https');
        }
    }
}
