@extends('backend.layout')
@section('content')
<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Add Advertisement</h1>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <!-- Info boxes -->
      <div class="row">
        <!-- left column -->
        <div class="col-md-12 mx-auto"> <!-- Center the form and make it responsive -->
          <!-- general form elements -->
          <div class="card card-primary">
            <form action="{{ route('admin.advertisements.update') }}" method="POST" enctype="multipart/form-data">
                @csrf

                <input type="hidden" name="id" id="id" value="{{ $advertisement->id }}">

                <div class="card-body">
                    <!-- Title -->
                    <div class="form-group">
                        <label for="title">Ad Title</label>
                        <input type="text" name="title" value="{{$advertisement->title}}" class="form-control" required>
                    </div>

                    <!-- Ad Type -->
                    <div class="form-group">
                        <label for="type">Ad Type</label>
                        <select name="type" class="form-control" id="adType">
                            <option value="adsense" {{ $advertisement->type == 'adsense' ? 'selected' : '' }}>AdSense</option>
                            <option value="custom" {{ $advertisement->type == 'custom' ? 'selected' : '' }}>Custom</option>
                        </select>
                    </div>

                    <!-- AdSense Ad Code -->
                    <div id="adsenseFields" class="form-group" style="display: {{ $advertisement->type == 'adsense' ? 'block' : 'none' }};">
                        <label for="adsense_code">AdSense Code</label>
                        <textarea name="adsense_code" class="form-control">{{ $advertisement->adsense_code }}</textarea>
                    </div>

                    <!-- Custom Ad Fields -->
                    <div id="customAdFields" style="display: {{ $advertisement->type == 'custom' ? 'block' : 'none' }};">
                        <div class="form-group">
                            <label for="custom_image">Custom Ad Image</label>
                            <input type="file" name="custom_image" class="form-control-file">
                        </div>
                        <div class="form-group">
                            <img src="{{asset('images/ads/' . $advertisement->custom_image)}}" width="200">
                        </div>
                        <div class="form-group">
                            <label for="custom_link">Custom Ad Link</label>
                            <input type="text" name="custom_link" value="{{$advertisement->custom_link}}" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="custom_html">Custom HTML</label>
                            <textarea name="custom_html" class="form-control"> {{$advertisement->custom_html}} </textarea>
                        </div>
                    </div>

                    <!-- Ad position -->
                    <div class="form-group">
                        <label for="type">Ad Position</label>
                        <select class="form-control" id="adPosition" name="position">
                            <option value="game_page" {{ $advertisement->position == 'game_page' ? 'selected' : '' }}>Game Page</option>
                            <option value="detail_page_top" {{ $advertisement->position == 'detail_page_top' ? 'selected' : '' }}>Details Page Top</option>
                            <option value="detail_page_bottom" {{ $advertisement->position == 'detail_page_bottom' ? 'selected' : '' }}>Details Page Bottom</option>
                            <option value="sidebar" {{ $advertisement->position == 'sidebar' ? 'selected' : '' }}>Sidebar</option>
                            <option value="blog_post" {{ $advertisement->position == 'blog_post' ? 'selected' : '' }}>Blog Post</option>
                            <option value="pages" {{ $advertisement->position == 'pages' ? 'selected' : '' }}>Pages</option>
                        </select>
                    </div>

                    <!-- Start Date and End Date -->
                    <div class="form-group">
                        <label for="start_date">Start Date</label>
                        <input type="date" name="start_date" class="form-control"
                               value="{{ $advertisement->start_date ? $advertisement->start_date->format('Y-m-d') : '' }}">
                    </div>
                    <div class="form-group">
                        <label for="end_date">End Date</label>
                        <input type="date" name="end_date" class="form-control"
                               value="{{ $advertisement->end_date ? $advertisement->end_date->format('Y-m-d') : '' }}">
                    </div>

                    <div class="text-right">
                        <button type="submit" class="btn btn-primary">Update Advertisement</button>
                    </div>
                </div>
            </form>
          </div>
          <!-- /.card -->
        </div>
      </div>
      <!-- /.row -->
    </div><!--/. container-fluid -->
  </section>

  <script>
    // On page load, toggle fields based on the selected ad type
    function toggleAdFields() {
        let type = document.getElementById('adType').value;
        document.getElementById('adsenseFields').style.display = type === 'adsense' ? 'block' : 'none';
        document.getElementById('customAdFields').style.display = type === 'custom' ? 'block' : 'none';
    }

    // Initial call to set up the correct fields on page load
    document.addEventListener('DOMContentLoaded', function () {
        toggleAdFields();
    });

    // Listen for changes in the ad type dropdown
    document.getElementById('adType').addEventListener('change', toggleAdFields);
  </script>
@endsection
