@extends('backend.layout')
@section('content')
<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Edit Blog Category</h1>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <!-- Info boxes -->
      <div class="row">
        <!-- left column -->
        <div class="col-md-12 mx-auto"> <!-- Center the form and make it responsive -->
          <!-- general form elements -->
          <div class="card card-primary">
            <form action="{{ route('admin.blog.categories.update') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <input type="hidden" name="id" id="id" value="{{ $category->id }}">
                <div class="card-body">
                    <!-- Name field -->
                    <div class="form-group">
                        <label for="name">Category Name</label>
                        <input type="text" class="form-control" id="name" value="{{ $category->name }}" name="name" placeholder="Enter Category Name" required>
                    </div>

                    <!-- Parent Category field -->
                    <div class="form-group">
                        <label for="parent_id">Parent Category (Optional)</label>
                        <select class="form-control" name="parent_id" id="parent_id">
                            <option value="">Select Parent Category</option>
                            @foreach ($parentCategory as $parent)
                                <option value="{{$parent->id}}" @if($category->parent_id == $parent->id) selected @endif>{{$parent->name}}</option>
                            @endforeach

                        </select>
                    </div>

                    <!-- Description field -->
                    <div class="form-group">
                        <label for="description">Description</label>
                        <textarea class="form-control" id="description" name="description" minlength="4" placeholder="Enter Category Description" rows="4"> {{ $category->description }} </textarea>
                    </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer text-right">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>


          </div>
          <!-- /.card -->
        </div>
      </div>
      <!-- /.row -->
    </div><!--/. container-fluid -->
  </section>
@endsection
