@extends('backend.layout')
@section('content')
<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Add Language</h1>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <!-- Info boxes -->
      <div class="row">
        <!-- left column -->
        <div class="col-md-12 mx-auto"> <!-- Center the form and make it responsive -->
          <!-- general form elements -->
          <div class="card card-default">
            <form action="{{ route('admin.update.language') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="card-body">
                    <!-- Name field -->
                    <div class="form-group">
                        <label for="name">Language Name</label>
                        <input type="text" class="form-control" id="name" name="name" value="{{$language->name}}" placeholder="Enter Category Name">

                        @error('name')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>

                    <input type="hidden" name="id" id="id" value="{{$language->id}}">

                    <!-- Language Code Select -->
                    <div class="form-group">
                        <label for="code">Language Code</label>
                        <select class="form-control select2 select2-danger" id="code" name="code" data-dropdown-css-class="select2-danger" style="width: 100%;">
                            <option value="">Select Language Code</option>
                            @foreach($languages as $code => $lang)
                                <option value="{{ $code }}" @if($language->code == $code) selected @endif>{{ $lang['name'] }} ({{ $code }})</option>
                            @endforeach
                        </select>
                        @error('code')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>

                    <!-- Country Code Select -->
                    <div class="form-group">
                        <label for="app_lang_code">Country Code</label>
                        <select class="form-control select2 select2-danger" id="app_lang_code" name="app_lang_code" data-dropdown-css-class="select2-danger" style="width: 100%;">
                            <option value="">Select Country Code</option>
                            @foreach(collect($languages)->unique('regional') as $code => $langcode)
                                <option value="{{ $langcode['regional'] }}" @if($language->app_lang_code == $langcode['regional']) selected @endif>{{ $langcode['country'] }} ({{ $langcode['regional'] }})</option>
                            @endforeach
                        </select>

                        @error('app_lang_code')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer text-right">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>


          </div>
          <!-- /.card -->
        </div>
      </div>
      <!-- /.row -->
    </div><!--/. container-fluid -->
  </section>
<!-- Remove the local jQuery script and keep the CDN version -->
<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

{{-- <!-- Select2 CSS -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

<!-- Select2 JS -->
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script> --}}

<script type="text/javascript">
    $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })
  })
</script>


@endsection
