@extends('backend.layout')
@section('content')
<!-- Bootstrap Multiselect -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/js/bootstrap-multiselect.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">

<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0">Send Newsletter</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <!-- left column -->
            <div class="col-md-12">
                <form action="{{ route('admin.newsletter.send') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <!-- general form elements -->
                    <div class="card card-primary">
                        <div class="card-body">
                            <!-- Game Name field -->

                            <div class="form-group">
                                <label for="email_users">Emails (Users)</label>
                                <select id="email_users" name="email_users[]" multiple="multiple" class="form-control">
                                    @foreach ($users as $user)
                                        <option value="{{ $user->email }}">{{ $user->email }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="email_subscribers">Emails (Subscribers)</label>
                                <select class="form-control form-select" multiple="multiple" name="email_subscribers[]" id="email_subscribers">
                                    @foreach ($subscribers as $subscriber)
                                        <option value="{{$subscriber->email}}">{{ $subscriber->email }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="newsletter_subject">Newsletter Subject</label>
                                <input type="text" class="form-control" id="newsletter_subject" name="newsletter_subject" placeholder="Enter newsletter subject" required>
                            </div>

                            <!-- Description field with professional custom text editor -->
                            <div class="form-group">
                                <label for="description">Content</label>
                                <!-- Text editor toolbar with icons -->
                                <div class="toolbar">
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('bold')" title="Bold"><i class="fas fa-bold"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('italic')" title="Italic"><i class="fas fa-italic"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('underline')" title="Underline"><i class="fas fa-underline"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('strikethrough')" title="Strikethrough"><i class="fas fa-strikethrough"></i></button>
                                    </div>

                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="triggerColorPicker('textColorPicker')" title="Text Color"><i class="fas fa-palette"></i> Text Color</button>
                                        <input type="color" id="textColorPicker" style="display:none;" onchange="execCmd('foreColor', this.value)">

                                        <button type="button" class="btn btn-light" onclick="triggerColorPicker('bgColorPicker')" title="Background Color"><i class="fas fa-fill-drip"></i> Background Color</button>
                                        <input type="color" id="bgColorPicker" style="display:none;" onchange="execCmd('hiliteColor', this.value)">
                                    </div>

                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('insertUnorderedList')" title="Bullet List"><i class="fas fa-list-ul"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('insertOrderedList')" title="Numbered List"><i class="fas fa-list-ol"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyLeft')" title="Align Left"><i class="fas fa-align-left"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyCenter')" title="Align Center"><i class="fas fa-align-center"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyRight')" title="Align Right"><i class="fas fa-align-right"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyFull')" title="Justify"><i class="fas fa-align-justify"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('createLink', prompt('Enter URL', 'http://'))" title="Insert Link"><i class="fas fa-link"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('unlink')" title="Remove Link"><i class="fas fa-unlink"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('insertImage', prompt('Enter Image URL', 'http://'))" title="Insert Image"><i class="fas fa-image"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <select class="form-select btn-light" onchange="execCmd('fontSize', this.value)" title="Font Size">
                                            <option value="3" selected>Font Size</option>
                                            <option value="1">Small</option>
                                            <option value="2">Medium</option>
                                            <option value="4">Large</option>
                                            <option value="5">X-Large</option>
                                            <option value="6">XX-Large</option>
                                            <option value="7">XXX-Large</option>
                                        </select>
                                    </div>
                                </div>

                                <!-- Contenteditable div for the editor content -->
                                <div id="editor" contenteditable="true" class="custom-editor"></div>

                                <!-- Hidden textarea to store the editor's content -->
                                <textarea id="description" name="description" style="display:none;"></textarea>
                            </div>
                        </div>
                        <div class="card-footer text-right">
                            <button class="btn btn-primary" onclick="submitForm()">Send</button>
                        </div>
                    </div>
                </form>
                <!-- /.card -->
            </div>
        </div>
    </div><!--/. container-fluid -->
</section>

<!-- Editor and general styling -->
<style>
    .custom-editor {
        border: 1px solid #ddd;
        min-height: 200px;
        padding: 10px;
        background-color: #777676;
        margin-bottom: 15px;
        font-size: 16px;
        overflow-y: auto;
    }

    .toolbar {
        margin-bottom: 10px;
    }

    .toolbar .btn-group {
        margin-right: 5px;
    }

    .toolbar .btn-light {
        border: 1px solid #ccc;
        border-radius: 4px;
        padding: 6px 10px;
    }

    .toolbar .form-select {
        padding: 6px;
        border-radius: 4px;
        border: 1px solid #ccc;
        height: auto;
    }

    .drop-area {
        border: 2px dashed #ccc;
        padding: 20px;
        text-align: center;
        cursor: pointer;
        transition: border-color 0.3s ease;
    }

    .drop-area.drag-over {
        border-color: #007bff;
    }

    .drop-area p {
        margin: 0;
        font-size: 16px;
    }
</style>

<script>
    $(document).ready(function() {
        $('#email_users').multiselect({
            includeSelectAllOption: true,
            enableFiltering: true,  // Optional: Adds a search box to filter options
            buttonWidth: '100%',  // Optional: Adjust width to fit the form
            nonSelectedText: 'Nothing selected',  // Placeholder text
            selectAllText: 'Select All',
            deselectAllText: 'Deselect All'
        });
    });
</script>


<script>
    function triggerColorPicker(pickerId) {
        document.getElementById(pickerId).click();
    }

    // Execute command on the contenteditable area
    function execCmd(command, value = null) {
        document.execCommand(command, false, value);
    }

    // Sync content from the contenteditable div to the textarea before form submission
    function submitForm() {
        var editorContent = document.getElementById('editor').innerHTML;
        document.getElementById('description').value = editorContent;
    }
</script>


@endsection
