@php
    $logo = App\Models\BusinessSettings::where('key', 'website_logo')->first()->value;
@endphp
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{route('dashboard')}}" class="brand-link text-center">
        <span class="brand-text font-weight-light text-center"><img src="{{asset('images/logos/'.$logo)}}" width="100"></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
    <!-- Sidebar user panel (optional) -->

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <li class="nav-item menu-open">
                    <a href="{{route('dashboard')}}" class="nav-link active">
                        <i class="nav-icon fas fa-tachometer-alt"></i>
                        <p>
                            Dashboard
                        </p>
                    </a>

                </li>
                <li class="nav-item @if(Route::is('admin.categories') || Route::is('admin.categories.create') || Route::is('admin.categories.edit')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-copy"></i>
                        <p>
                            Games Categories
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.categories') }}" class="nav-link @if(Route::is('admin.categories') || Route::is('admin.categories.edit')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Available Categories</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.categories.create') }}" class="nav-link @if(Route::is('admin.categories.create')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add New Category</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item @if(Route::is('admin.games') || Route::is('admin.games.create') || Route::is('admin.games.featured') || Route::is('admin.games.disabled') || Route::is('admin.games.edit')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-chart-pie"></i>
                        <p>
                            Games
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.games') }}" class="nav-link @if(Route::is('admin.games')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Games</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.games.create') }}" class="nav-link @if(Route::is('admin.games.create')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add New Game</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{ route('admin.games.featured') }}" class="nav-link @if(Route::is('admin.games.featured')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Featured Games</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.games.disabled') }}" class="nav-link @if(Route::is('admin.games.disabled')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Disabled Games</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item @if(Route::is('admin.active.users') || Route::is('admin.inactive.users')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-users"></i>
                        <p>
                            Users
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.active.users') }}" class="nav-link @if(Route::is('admin.active.users')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Active Users</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.inactive.users') }}" class="nav-link @if(Route::is('admin.inactive.users')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Blocked Users</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-header">Content Management</li>

                <li class="nav-item @if(Route::is('admin.pages') || Route::is('admin.pages.create') || Route::is('admin.pages.edit')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-copy"></i>
                        <p>
                            Pages
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.pages') }}" class="nav-link @if(Route::is('admin.pages') || Route::is('admin.pages.edit')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Pages</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.pages.create') }}" class="nav-link @if(Route::is('admin.pages.create')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add New Page</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item @if(Route::is('admin.blog.categories') || Route::is('admin.blog.posts') || Route::is('admin.blog.posts.create') || Route::is('admin.blog.posts.edit') || Route::is('admin.blog.categories.create') || Route::is('admin.blog.categories.edit')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-blog"></i>
                        <p>
                            Blog Posts
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.blog.categories') }}" class="nav-link @if(Route::is('admin.blog.categories') || Route::is('admin.blog.categories.create') || Route::is('admin.blog.categories.edit')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Blog Categories</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.blog.posts') }}" class="nav-link @if(Route::is('admin.blog.posts') || Route::is('admin.blog.posts.edit')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Posts</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.blog.posts.create') }}" class="nav-link @if(Route::is('admin.blog.posts.create')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add New Post</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-header">Marketing</li>

                <li class="nav-item @if(Route::is('dynamic.popups') || Route::is('add.popup') || Route::is('edit.popup')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-fire"></i>
                        <p>
                            Dynamic Popups
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{route('dynamic.popups')}}" class="nav-link @if(Route::is('dynamic.popups') || Route::is('edit.popup')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Popups</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('add.popup') }}" class="nav-link @if(Route::is('add.popup')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add New Popup</p>
                            </a>
                        </li>
                    </ul>
                </li>

                {{-- <li class="nav-item @if(Route::is('admin.games') || Route::is('admin.games.create')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-exclamation"></i>
                        <p>
                            Custom Alerts
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.games') }}" class="nav-link @if(Route::is('admin.games')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Games</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.games.create') }}" class="nav-link @if(Route::is('admin.games.create')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add New Game</p>
                            </a>
                        </li>
                    </ul>
                </li> --}}

                <li class="nav-item">
                    <a href="{{route('admin.newsletters')}}" class="nav-link @if(Route::is('admin.newsletters')) active @endif">
                        <i class="nav-icon fas fa-envelope"></i>
                        <p>
                            Newsletters
                        </p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="{{route('admin.subscribers')}}" class="nav-link @if(Route::is('admin.subscribers')) active @endif">
                        <i class="nav-icon fas fa-bookmark"></i>
                        <p>
                            Subscribers
                        </p>
                    </a>
                </li>


                <li class="nav-header">Settings Management</li>

                <li class="nav-item">
                    <a href="{{route('admin.advertisements')}}" class="nav-link @if(Route::is('admin.advertisements') || Route::is('admin.advertisements.create') || Route::is('admin.advertisements.edit')) active @endif">
                        <i class="nav-icon fas fa-location-arrow"></i>
                        <p>
                            Advertisements
                        </p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="{{ route('server.info') }}" class="nav-link @if(Route::is('server.info')) active @endif">
                        <i class="nav-icon fas fa-server"></i>
                        <p>
                            Server Information
                        </p>
                    </a>
                </li>

                {{-- <li class="nav-item">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-cubes"></i>
                        <p>
                            Feature Settings
                        </p>
                    </a>
                </li> --}}

                <li class="nav-item @if(Route::is('admin.menus.index') || Route::is('admin.feature.activation') || Route::is('translations.index') || Route::is('admin.languages') || Route::is('admin.create.language') || Route::is('admin.menus.createItem') || Route::is('admin.menus.editItem') || Route::is('admin.menus.create') || Route::is('admin.menus.edit') || Route::is('admin.header.settings') || Route::is('admin.global.settings')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-globe"></i>
                        <p>
                            Website Settings
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.menus.index') }}" class="nav-link @if(Route::is('admin.menus.index') || Route::is('admin.menus.createItem') || Route::is('admin.menus.editItem') || Route::is('admin.menus.create') || Route::is('admin.menus.edit')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Menu Builder</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.header.settings') }}" class="nav-link @if(Route::is('admin.header.settings')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Header Settings</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.languages') }}" class="nav-link @if(Route::is('admin.languages') || Route::is('admin.create.language') || Route::is('translations.index')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Languages</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.feature.activation') }}" class="nav-link @if(Route::is('admin.feature.activation')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Feature Activation</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.global.settings') }}" class="nav-link @if(Route::is('admin.global.settings')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Global Settings</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item">
                    <a href="{{route('admin.themes')}}" class="nav-link @if(Route::is('admin.themes')) active @endif">
                        <i class="nav-icon fas fa-images"></i>
                        <p>
                            Themes
                        </p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="{{route('admin.smtp.settings')}}" class="nav-link @if(Route::is('admin.smtp.settings')) active @endif">
                        <i class="nav-icon fas fa-envelope"></i>
                        <p>
                            SMTP Settings
                        </p>
                    </a>
                </li>

                <li class="nav-item @if(Route::is('profile.edit') || Route::is('profile.updatePassword')) menu-open @endif">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-user-md"></i>
                        <p>
                            Profile Settings
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('profile.edit') }}" class="nav-link @if(Route::is('profile.edit')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Profile Management</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('profile.updatePassword') }}" class="nav-link @if(Route::is('profile.updatePassword')) active @endif">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Update Password</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item">
                    <a href="{{route('admin.mobile.app.settings')}}" class="nav-link @if(Route::is('admin.mobile.app.settings')) active @endif">
                        <i class="nav-icon fas fa-mobile"></i>
                        <p>
                            Mobile App Settings
                        </p>
                    </a>
                </li>

            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>
