@extends('backend.layout')
@section('content')
<!-- Bootstrap CSS (if not already included) -->


<!-- Bootstrap Switch CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/css/bootstrap3/bootstrap-switch.min.css" rel="stylesheet">

<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Server Information</h1>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->

   <!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <!-- /.card-header -->
                    <div class="card-body">
                        <h3 class="card-title"> Server Information </h3>
                        <table id="example2" class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Status</th>
                                    <th class="text-right">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        PHP Version
                                    </td>
                                    <td> {{ phpversion() }} </td>
                                    <td> 8.2 </td>
                                    <td class="text-right">
                                        @if (floatval(phpversion()) >= 8.0)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        MySQL
                                    </td>
                                    <td>
                                        @php
                                            $results = DB::select("select version()");
                                            $mysql_version = $results[0]->{'version()'};
                                        @endphp
                                        {{ $mysql_version }}
                                    </td>
                                    <td> 10.3+ </td>
                                    <td class="text-right">
                                        @if (floatval(explode("-",$mysql_version)[0]) >= 10.3)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                            </tbody>
                        </table>

                    </div>


                    <div class="card-body">
                        <h3 class="card-title"> PHP.ini Config </h3>
                        <table id="example2" class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th> Config Name </th>
                                    <th> Current </th>
                                    <th> Recommended </th>
                                    <th class="text-right"> Status </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        file_uploads
                                    </td>
                                    <td>
                                        @if(ini_get('file_uploads') == 1)
                                            On
                                        @else
                                            Off
                                        @endif
                                    </td>
                                    <td> On </td>
                                    <td class="text-right">
                                        @if (ini_get('file_uploads') == 1)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        max_file_uploads
                                    </td>
                                    <td>
                                        {{ ini_get('max_file_uploads') }}
                                    </td>
                                    <td> 20+ </td>
                                    <td class="text-right">
                                        @if (ini_get('max_file_uploads') >= 20)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        upload_max_filesize
                                    </td>
                                    <td>
                                        {{ ini_get('upload_max_filesize') }}
                                    </td>
                                    <td> 128M+ </td>
                                    <td class="text-right">
                                        @if (str_replace(['M','G'],"", ini_get('upload_max_filesize')) >= 128)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        post_max_size
                                    </td>
                                    <td>
                                        {{ ini_get('post_max_size') }}
                                    </td>
                                    <td> 128M+ </td>
                                    <td class="text-right">
                                        @if (str_replace(['M','G'],"", ini_get('post_max_size')) >= 128)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        allow_url_fopen
                                    </td>
                                    <td>
                                        @if(ini_get('allow_url_fopen') == 1)
                                            On
                                        @else
                                            Off
                                        @endif
                                    </td>
                                    <td> On </td>
                                    <td class="text-right">
                                        @if (ini_get('allow_url_fopen') == 1)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        max_execution_time
                                    </td>
                                    <td>
                                        @if(ini_get('max_execution_time') == '-1')
                                            Unlimited
                                        @else
                                            {{ ini_get('max_execution_time') }}
                                        @endif
                                    </td>
                                    <td> 600+ </td>
                                    <td class="text-right">
                                        @if (ini_get('max_execution_time') == -1 || ini_get('max_execution_time') >= 600)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        max_input_time
                                    </td>
                                    <td>
                                        @if(ini_get('max_input_time') == '-1')
                                            Unlimited
                                        @else
                                            {{ ini_get('max_input_time') }}
                                        @endif
                                    </td>
                                    <td> 120+ </td>
                                    <td class="text-right">
                                        @if (ini_get('max_input_time') == -1 || ini_get('max_input_time') >= 120)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        max_input_vars
                                    </td>
                                    <td>
                                        {{ ini_get('max_input_vars') }}
                                    </td>
                                    <td> 1000+ </td>
                                    <td class="text-right">
                                        @if (ini_get('max_input_vars') >= 1000)
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        memory_limit
                                    </td>
                                    <td>
                                        @if(ini_get('memory_limit') == '-1')
                                            Unlimited
                                        @else
                                            {{ ini_get('memory_limit') }}
                                        @endif
                                    </td>
                                    <td> 256M+ </td>
                                    <td class="text-right">
                                        @php
                                            $memory_limit = ini_get('memory_limit');
                                            if (preg_match('/^(\d+)(.)$/', $memory_limit, $matches)) {
                                                if ($matches[2] == 'G') {
                                                    $memory_limit = $matches[1] * 1024 * 1024 * 1024;
                                                } else if ($matches[2] == 'M') {
                                                    $memory_limit = $matches[1] * 1024 * 1024;
                                                } else if ($matches[2] == 'K') {
                                                    $memory_limit = $matches[1] * 1024;
                                                }
                                            }
                                        @endphp
                                        @if (ini_get('memory_limit') == -1 || $memory_limit >= (256 * 1024 * 1024))
                                            <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                        @else
                                            <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                        @endif
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                    </div>

                    <div class="card-body">
                        <h3 class="card-title"> Extension Information </h3>
                        <table id="example2" class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th> Extension Name </th>
                                    <th class="text-right"> Status </th>
                                </tr>
                            </thead>
                            @php
                                $loaded_extensions = get_loaded_extensions();
                                $required_extensions = ['bcmath', 'ctype', 'json', 'mbstring', 'zip', 'zlib', 'openssl', 'tokenizer', 'xml', 'dom',  'curl', 'fileinfo', 'gd', 'pdo_mysql']
                            @endphp
                            <tbody>
                                @foreach ($required_extensions as $extension)
                                    <tr>
                                        <td>
                                            {{ $extension }}
                                        </td>

                                        <td class="text-right">
                                            @if(in_array($extension, $loaded_extensions))
                                                <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                            @else
                                                <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                            @endif

                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>

                    </div>

                    <div class="card-body">
                        <h3 class="card-title"> File System Permission </h3>
                        <table id="example2" class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th> File or Folder </th>
                                    <th class="text-right"> Status </th>
                                </tr>
                            </thead>
                            @php
                                $required_paths = ['.env', 'public', 'app/Providers', 'app/Http/Controllers', 'storage', 'resources/views']
                            @endphp
                            <tbody>
                                @foreach ($required_paths as $path)
                                    <tr>
                                        <td>
                                            {{ $path }}
                                        </td>
                                        <td class="text-right">
                                            @if(is_writable(base_path($path)))
                                                <label class="badge badge-success"><i class="fa fa-check-circle" aria-hidden="true"></i> </label>
                                            @else
                                                <label class="badge badge-danger"><i class="fa fa-times-circle" aria-hidden="true"></i></label>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>

                    </div>

                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
</section>

@endsection
