@extends('backend.layout')

@section('content')

<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0">Header Settings</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <form action="{{ route('admin.header.settings.update') }}" method="POST">
                    <div class="card">
                        <div class="card-body">
                            @csrf

                            <div class="form-group">
                                <label for="name">Select Menu</label>
                                <select class="form-control form-select" name="menu" id="menu">
                                    @foreach ($menus as $menu)
                                        <option value="{{ $menu->id }}" @if($menu->id == $selectedMenu) selected @endif>{{ $menu->name }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="name">Enable / Disable Search Bar</label>
                                <select class="form-control form-select" name="search" id="search" required>
                                        <option value="1" @if($search->value == 1) selected @endif>Enable</option>
                                        <option value="0" @if($search->value == 0) selected @endif>Disable</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="name">Enable / Disable Login Options</label>
                                <select class="form-control form-select" name="login" id="login" required>
                                        <option value="1" @if($login->value == 1) selected @endif>Enable</option>
                                        <option value="0" @if($login->value == 0) selected @endif>Disable</option>
                                </select>
                            </div>
                            @if(session('success'))
                                <div class="alert alert-success alert-dismissible">
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                    <h5><i class="icon fas fa-check"></i> Updated!</h5>
                                    Header settings updated successfully.
                                </div>
                            @endif
                        </div>

                        <div class="card-footer text-right">
                            <button type="submit" class="btn btn-primary">Update Header</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>
@endsection
