@extends('backend.layout')
@section('content')
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0">SMTP Settings</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <!-- left column -->
            <div class="col-md-7">
                <!-- general form elements -->
                <form action="{{ route('admin.smtp.settings.update') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="card card-primary">
                        <div class="card-body">
                            <!-- Game Name field -->
                            <div class="form-group">
                                <label for="smtp_type">Type</label>
                                <select class="form-control form-select" id="smtp_type" name="smtp_type">
                                    <option value="sendmail">Sendmail</option>
                                    <option value="smtp">SMTP</option>
                                    <option value="Mailgun">Mailgun</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="mail_host">Mail Host</label>
                                <input type="text" class="form-control" name="mail_host" id="mail_host" value="{{env('MAIL_HOST')}}" placeholder="MAIL HOST">
                            </div>

                            <div class="form-group">
                                <label for="mail_port">Mail Port</label>
                                <input type="text" class="form-control" name="mail_port" id="mail_port" value="{{env('MAIL_PORT')}}" placeholder="MAIL PORT">
                            </div>

                            <div class="form-group">
                                <label for="mail_username">Mail Username</label>
                                <input type="text" class="form-control" name="mail_username" id="mail_username" value="{{env('MAIL_USERNAME')}}" placeholder="MAIL USERNAME">
                            </div>

                            <div class="form-group">
                                <label for="mail_password">Mail Password</label>
                                <input type="text" class="form-control" name="mail_password" id="mail_password" value="{{env('MAIL_PASSWORD')}}" placeholder="MAIL PASSWORD">
                            </div>

                            <div class="form-group">
                                <label for="mail_encryption">Mail Encryption</label>
                                <input type="text" class="form-control" name="mail_encryption" id="mail_encryption" value="{{env('MAIL_ENCRYPTION')}}" placeholder="MAIL ENCRYPTION">
                            </div>

                            <div class="form-group">
                                <label for="mail_from_address">Mail From Address</label>
                                <input type="text" class="form-control" name="mail_from_address" id="mail_from_address" value="{{env('MAIL_FROM_ADDRESS')}}" placeholder="MAIL FROM ADDRESS">
                            </div>

                            <div class="form-group">
                                <label for="mail_from_name">Mail From Name</label>
                                <input type="text" class="form-control" name="mail_from_name" id="mail_from_name" value="{{env('MAIL_FROM_NAME')}}" placeholder="MAIL FROM NAME">
                            </div>

                            <div class="text-right">
                                <button type="submit" class="btn btn-primary" onclick="submitForm()">Submit</button>
                            </div>
                        </div>
                    </div>
                </form>
                <!-- /.card -->
            </div>

            <div class="col-md-5">
                <!-- general form elements -->
                <form action="{{ route('admin.smtp.settings.test') }}" method="POST">
                    @csrf
                    <div class="card card-primary">
                        <div class="card-body">
                            <div class="form-group">
                                <label for="title">Test SMTP Configuration</label>
                                <div class="row g-2">
                                    <div class="col-md-8 mb-2">
                                        <input type="email" class="form-control" id="email" name="email" value="{{ Auth::user()->email }}" placeholder="Enter test email" required>
                                    </div>
                                    <div class="col-md-4">
                                        <button type="submit" class="btn btn-success">Send Test Email</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

                <div class="card card-primary">
                    <div class="card-body">
                        <h1 class="card-title">Instructions:</h1><br><hr>
                        <p class="text-red" style="font-size: 12px;">
                            Please be carefull when you are configuring SMTP. For incorrect configuration you will get error at the time of order place, new registration, sending newsletter.
                        </p>
                        <div class="">
                            <h1 class="card-title">For Non-SSL</h1><br><br>
                            <ul>
                                <li>Select sendmail for Mail Mailer if you face any issue after configuring smtp as Mail Mailer</li>
                                <li>Set Mail Host according to your server Mail Client Manual Settings</li>
                                <li>Set Mail port as 587</li>
                                <li>Set Mail Encryption as ssl if you face issue with tls</li>
                            </ul>
                        </div>

                        <div class="">
                            <h1 class="card-title">For SSL</h1><br><br>
                            <ul>
                                <li>Select sendmail for Mail Mailer if you face any issue after configuring smtp as Mail Mailer</li>
                                <li>Set Mail Host according to your server Mail Client Manual Settings</li>
                                <li>Set Mail port as 465</li>
                                <li>Set Mail Encryption as ssl</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <!-- /.card -->
            </div>
        </div>
    </div><!--/. container-fluid -->
</section>

@endsection
