@php
    $aboutUs = App\Models\Pages::where('id', 1)->first();
    $contactUs = App\Models\Pages::where('id', 2)->first();
    $privacyPolicy = App\Models\Pages::where('id', 3)->first();
    $settings = App\Models\BusinessSettings::pluck('value', 'key')->toArray();
    $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
@endphp

@if($theme == 'playverse')

<footer class="bg-light text-center text-lg-start">
    <div class="container-fluid p-4">
        <div class="row">
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
                <h5 class="text-uppercase">About {{ old('website_name', $settings['website_name'] ?? '') }}</h5>
                <p>
                    {{ old('website_tagline', $settings['website_tagline'] ?? '') }}
                </p>
            </div>
            <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
                <h5 class="text-uppercase">{{translate('Quick Links')}}</h5>
                <ul class="list-unstyled">
                    <li><a href="{{route('pages.userpages', $aboutUs->slug ?? '')}}">{{translate('About Us')}}</a></li>
                    <li><a href="{{route('pages.userpages', $contactUs->slug ?? '')}}">{{translate('Contact')}}</a></li>
                    <li><a href="{{route('pages.userpages', $privacyPolicy->slug ?? '')}}">{{translate('Privacy Policy')}}</a></li>
                    <li><<a href="{{route('pages.userpages', $termsandconditions->slug ?? '')}}">{{translate('Terms and Conditions')}}</a></li>
                </ul>
            </div>
             
        </div>
    </div>
    <div class="text-center p-3 bg-dark text-white">
        © 2024 {{ old('website_name', $settings['website_name'] ?? '') }}. {{translate('All Rights Reserved')}}.
    </div>
</footer>

@elseif($theme == 'gamehive')

<footer class="footer">
    <div class="footer-content">
        <p>&copy; {{translate('2024 HTML Game Portal. All rights reserved')}}.</p>
        <div class="social-media">
            <a href="{{route('pages.userpages', $aboutUs->slug ?? '')}}">{{translate('About Us')}}</a>
            <a href="{{route('pages.userpages', $contactUs->slug ?? '')}}">{{translate('Contact')}}</a>
            <a href="{{route('pages.userpages', $privacyPolicy->slug ?? '')}}">{{translate('Privacy Policy')}}</a>
            <a href="{{route('pages.userpages', $termsandconditions->slug ?? '')}}">{{translate('Terms and Conditions')}}</a>
        </div>
    </div>
</footer>

@endif
