@php
    $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
@endphp

@extends('frontend.layout')
@if($theme == 'playverse')

@section('content')

    <div class="container-fluid my-5">
        <h2>{{ $query }}</h2>

        <div class="row">
            @foreach ($games as $game)
                <div class="col-md-2 mt-1">
                    <div class="card">
                        <img src="{{ asset('images/games/icons/' . $game->image) }}" class="card-img-top game-image" alt="{{ $game->name }}">
                        <div class="card-body">
                            <h5 class="card-title">{{ $game->name }}</h5>
                            <a href="{{ route('game', $game->slug) }}" class="btn btn-primary">{{translate('Play Now')}}</a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
@endsection
@elseif($theme == 'gamehive')
@section('content')
 <!-- Sidebar Container with Sidebar and Button inside -->
 <div class="gamehive-sidebar-container" id="sidebarContainer">
    <!-- Sidebar -->
    <div class="gamehive-sidebar">
        <ul class="gamehive-category-list">
            @foreach($hivecategories as $category)
            <li class="col-md-12 mb-4">
                <div class="card" style="cursor: pointer;" onclick="location.href='{{ route('category', $category->slug) }}'">
                    <img src="{{ asset('images/categories/' . $category->image) }}" class="card-img-top" alt="{{ $category->name }}">
                    <h6 class="card-title text-center"><strong>{{ $category->name }}</strong></h6>
                </div>
            </li>
            @endforeach
        </ul>
    </div>

    <!-- Floating Button -->
    <button class="gamehive-floating-button" onclick="toggleSidebar()">☰</button>
</div>

<div class="container">

    <!-- Search Box -->
    <form class="mb-4" action="{{ route('search') }}" method="GET">
        <div class="search-box" id="searchBox">
            <input type="text" name="search" placeholder="{{translate('Search games...')}}" aria-label="Search">
            <button type="submit">🔍</button>
        </div>
    </form>

    <section id="game-list">

        @foreach ($games as $game)
            <div class="game-card" style="cursor: pointer" onclick="location.href='{{ route('game', $game->slug) }}'" data-category="{{ $game->category_id }}">
                <img src="{{ asset('images/games/icons/' . $game->image) }}" alt="{{ $game->name }}" class="game-thumbnail">
                {{-- <video class="game-video" muted loop autoplay>
                    <source src="https://videos.pexels.com/video-files/4151217/4151217-uhd_2560_1440_25fps.mp4" type="video/mp4">
                    Your browser does not support the video tag.
                </video> --}}
                <h6 style="margin-top: 10px;">{{ $game->name }}</h6>
            </div>
        @endforeach


        <!-- Add more games here -->
    </section>
</div>
@endsection

@elseif($theme == 'gamegalore')
@section('content')
<section class="container-fluid category-content" data-category-id=162>
    <article id=post-8518 class="post-8518 page type-page status-publish hentry">
        <header class="entry-header category-entry-header">
            <h1 class="entry-title category-headline">{{ $query }}</h1>
        </header>
        <div class=entry-content>
            <div id=first-content-below class=content-below-category>
                <div id=games-container class="row g-2 row-cols-3 row-cols-xs-4 row-cols-sm-5 row-cols-md-6 row-cols-lg-7 row-cols-l-8 row-cols-xl-9 row-cols-xxl-10 row-cols-xxxl-12">
                    @foreach($games as $game)
                        <div class="game-col col">
                            <div class="game-wrapper img-aspect-ratio-1x1 rounded-3 shadow image-popup game ">
                                <a href="{{route('game', $game->slug)}}">
                                    <img src={{asset('images/games/icons/'.$game->image)}} title="{{ $game->name }}"
                                    alt="{{ $game->name }}" class="rounded-3 img-fluid" loading=lazy>
                                    <div class=text>{{ $game->name }}</div>
                                </a>
                            </div>
                        </div>
                    @endforeach
                </div>

                <div class=mb-4>
                    <h2>{{translate('Categories')}}</h2>
                    <ul class="category-tags list-unstyled d-flex flex-wrap gutter">
                        @foreach($categories as $category)
                            <li class="rounded-3 bg-secondary height-48 ts-hover-scale-10 shadow" data-url="{{route('category', $category->slug)}}">
                                <a href="{{route('category', $category->slug)}}" class="d-table-cell align-middle height-48">
                                    <img src="{{asset('images/categories/'.$category->image)}}" loading=lazy class="height-48 rounded-3">
                                    <span class="text small px-2 px-sm-3">{{ $category->name }}</span>
                                </a>
                            </li>
                        @endforeach
                    </ul>
                </div>
            </div>
        </div>
    </article>
</section>
@endsection
@endif
