<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ old('website_name', $settings['website_name'] ?? '') }}</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <link rel="icon" type="image/x-icon" href="{{asset('images/favicons/'.$settings['website_favicon'])}}">
    <meta name="description" content="{{ old('website_description', $settings['website_description'] ?? '') }}">
    <meta name="keywords" content="{{ old('website_tags', $settings['website_tags'] ?? '') }}">

    <!-- Meta Image for Social Sharing -->
    <meta property="og:title" content="{{ old('website_name', $settings['website_name'] ?? '') }}">
    <meta property="og:description" content="{{ old('website_description', $settings['website_description'] ?? '') }}">
    <meta property="og:image" content="{{asset('images/logos/' . $settings['website_logo'] ?? '')}}">
    <meta property="og:url" content="{{ url('/') }}">

    {!! $settings['google_analytics'] !!}

    <!-- Twitter Meta Tags -->
    <meta name="twitter:card" content="{{asset('images/logos/' . $settings['website_logo'] ?? '')}}">
    <meta name="twitter:title" content="{{ old('website_name', $settings['website_name'] ?? '') }}">
    <meta name="twitter:description" content="{{ old('website_description', $settings['website_description'] ?? '') }}">
    <meta name="twitter:image" content="{{asset('images/logos/' . $settings['website_logo'] ?? '')}}">

    <!-- Canonical URL (for SEO) -->
    <link rel="canonical" href="{{ url('/') }}">

    <link href="{{asset('frontend/css/bootstrap.min.css')}}" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{{asset('frontend/css/slick.min.css')}}" />
    <link rel="stylesheet" type="text/css" href="{{asset('frontend/css/slick-theme.min.css')}}" />
    <link rel="stylesheet" href="{{asset('frontend/css/style.css')}}">
    <link rel="stylesheet" href="{{asset('frontend/css/setting.css')}}">

    <link href="https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap" rel="stylesheet">

    <link href="{{asset('frontend/css/toastr.min.css')}}" rel="stylesheet">
<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-8545747764677826"
     crossorigin="anonymous"></script>
     <meta name="google-adsense-account" content="ca-pub-8545747764677826">
</head>

<body>


    <!-- Header -->
    @include('frontend.partials._header')


    @yield('content')

    @php
        $dynamicPopups = App\Models\DynamicPopups::orderBy('id', 'asc')->where('status', 1)->get();
    @endphp

    <!-- Modals -->
    @foreach ($dynamicPopups as $popups)
        <div class="modal" id="newsletterModal{{$popups->id}}" style="display:none;">
            <div class="modal-content bg-dark">
                <span class="close-btn" onclick="closeModal({{ $popups->id }})">&times;</span>
                <!-- Modal body -->
                <div class="modal-body">
                    <img src="{{ asset('images/dynamic-popups/'.$popups->image) }}" alt="Placeholder Image" class="responsive-img">
                    <h2 class="card-title m-2">{{$popups->title}}</h2>
                    <p class="text-white text-center">{!! $popups->summary !!}</p>
                    <!-- Email Subscription Form -->
                    @if ($popups->show_subscribe_form == 1)
                        <form id="subscriberForm{{$popups->id}}" class="subscription-form">
                            @csrf
                            <div class="form-group">
                                <label class="card-title text-center" for="email">{{translate('Enter your email')}}</label>
                                <input type="email" id="email" name="email" placeholder="Enter your email" required>
                            </div>
                            <button type="submit" class="btn btn-primary p-2">{{$popups->btn_text}}</button>
                        </form>

                    @else
                        <div class="text-center">
                        <a href="{{ $popups->btn_link }}" class="btn btn-primary p-2">{{$popups->btn_text}}</a>
                        </div>
                    @endif
                </div>
            </div>
        </div>

    @endforeach
    <div class="cookie-consent text-center m-2" id="cookieConsent">
        <p class="card-title">{{translate('This website uses cookies to enhance your experience.')}}<br>
            <button class="mt-4" id="acceptCookies">{{translate('Accept')}}</button>
        </p>
    </div>

    @if(env('DEMO_MODE') == 'on')

    <!-- Floating Settings Button -->
    <div id="settingsButton" onclick="openThemeModal()">⚙️ {{translate('Themes')}}</div>

    <!-- Theme Modal -->
    <div id="themeModal" class="theme-modal">
        @php
            $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
        @endphp
        <div class="modal-content">
            <span class="close-btn" onclick="closeThemeModal()">&times;</span>
            <h4>{{translate('Choose Theme')}}</h4>
            <hr>
            <section id="game-list">
                <div class="theme-card" data-theme="playverse" onclick="selectTheme(this)">
                    <img src="{{asset('themes/gameverse.jpg')}}" alt="PlayVerse">
                    <div class="theme-title">
                        <h6>PlayVerse</h6>
                        @if($theme == 'playverse')
                            <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                        @endif
                    </div>
                </div>
                <div class="theme-card" data-theme="gamehive" onclick="selectTheme(this)">
                    <img src="{{asset('themes/gamehive.jpg')}}" alt="GameHive">
                    <div class="theme-title">
                        <h6>GameHive</h6>
                        @if($theme == 'gamehive')
                            <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                        @endif
                    </div>
                </div>
                <div class="theme-card" data-theme="gamegalore" onclick="selectTheme(this)">
                    <img src="{{asset('themes/gamegalore.jpg')}}" alt="GameGalore">
                    <div class="theme-title">
                        <h6>GameGalore</h6>
                        @if($theme == 'gamegalore')
                            <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                        @endif
                    </div>
                </div>
            </section>
        </div>
    </div>

    @endif


    <!-- Include the cookie consent blade view -->
    @include('cookie-consent::index')

    <!-- Footer -->
    @include('frontend.partials._footer')

    <script type="text/javascript" src="{{asset('frontend/js/bootstrap.bundle.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('frontend/js/jquery.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('frontend/js/slick.min.js')}}"></script>

    <script type="text/javascript" src="{{asset('frontend/js/custom.js')}}"> </script>

    <script src="{{asset('frontend/js/toastr.min.js')}}"></script>

    <script type="text/javascript">
        document.addEventListener('DOMContentLoaded', function() {
            // Check if cookies are already accepted
            if (!localStorage.getItem('cookiesAccepted')) {
                document.getElementById('cookieConsent').style.display = 'block';
            }

            // Handle cookie acceptance
            document.getElementById('acceptCookies').onclick = function() {
                localStorage.setItem('cookiesAccepted', true);
                document.getElementById('cookieConsent').style.display = 'none';
            };
        });
    </script>

    <script>
        window.onload = function() {
            @foreach ($dynamicPopups as $popups)
                (function() {
                    let modalId = 'newsletterModal{{ $popups->id }}';
                    let closedTime = localStorage.getItem(modalId + '_closedTime');
                    let now = new Date().getTime();

                    // Check if the modal was closed in the last hour
                    if (!closedTime || now - closedTime > 3600000) { // 1 hour in milliseconds
                        document.getElementById(modalId).style.display = 'flex';
                    } else {
                        // console.log("Not showing modal because it was closed within the last hour:", modalId);
                    }
                })();
            @endforeach
        };

        function closeModal(modalId) {
            // console.log("Closing modal:", modalId);  // Debugging log
            // Hide the modal when the close button is clicked
            document.getElementById('newsletterModal' + modalId).style.display = 'none';

            // Store the current time to track when the modal was closed
            let now = new Date().getTime();
            localStorage.setItem('newsletterModal' + modalId + '_closedTime', now);
            // console.log("Stored closed time for modal:", modalId, now);  // Debugging log
        }
    </script>


    <script>
        $(document).ready(function() {
            @foreach ($dynamicPopups as $popups)
                // Handle form submission via AJAX
                $('#subscriberForm{{ $popups->id }}').on('submit', function(e) {
                    e.preventDefault(); // Prevent the default form submission

                    let formData = $(this).serialize(); // Serialize form data

                    $.ajax({
                        url: '{{ route('subscriber.newsletter') }}',
                        type: 'POST',
                        data: formData,
                        success: function(response) {
                            // Handle success - show message or update UI
                            toastr.success("Thank you for subscribing");
                            $('#subscriberForm{{ $popups->id }}')[0].reset(); // Reset the form
                            closeModal({{ $popups->id }}); // Optionally close modal
                        },
                        error: function(xhr, status, error) {
                            // Handle error - show error message
                            toastr.error("There was an error. Please try again.");
                        }
                    });
                });
            @endforeach
        });
    </script>

    <script>
        toastr.options = {
            "closeButton": true,
            "progressBar": true,
            "positionClass": "toast-top-right",
            "timeOut": "5000",
            "extendedTimeOut": "1000",
            "hideDuration": "1000",
            "showDuration": "300",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }

        @if(Session::has('success'))
            toastr.success("{{ Session::get('success') }}");
        @endif

        @if(Session::has('error'))
            toastr.error("{{ Session::get('error') }}");
        @endif
    </script>

    <script>
        window.onload = function() {
            // Fetching user location data using ipinfo.io
            fetch('https://ipinfo.io/json?token=fcb7f3a49856c5')  // Replace with your actual API key
                .then(response => response.json())  // Parse the JSON response
                .then(data => {
                    if (data && data.country && data.loc) {
                        // If the data is valid, extract the country and location information
                        const countryCode = data.country;
                        const location = data.loc.split(',');

                        // Example: You can log these values or use them
                        console.log('Country Code:', countryCode);
                        console.log('Latitude:', location[0]);
                        console.log('Longitude:', location[1]);

                        // You can send this data to the backend if needed
                        sendLocationDataToBackend(countryCode, location[0], location[1]);
                    } else {
                        console.error('Invalid location data received from ipinfo.io');
                    }
                })
                .catch(error => {
                    console.error('Error fetching location data:', error);
                });
        };

        // Function to send data to the backend
        function sendLocationDataToBackend(countryCode, latitude, longitude) {
            fetch('/save-location', { // Replace '/save-location' with your Laravel route
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')  // Make sure CSRF token is included for security
                },
                body: JSON.stringify({
                    country_code: countryCode,
                    latitude: latitude,
                    longitude: longitude
                })
            })
            .then(response => response.json())
            .then(data => {
                console.log('Location saved successfully:', data);
            })
            .catch(error => {
                console.error('Error sending location data:', error);
            });
        }
    </script>


</body>

</html>
