@php
    $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
@endphp

@extends('frontend.layout')
@if($theme == 'playverse')
<title>{{ Auth::user()->name }} - HTML Games</title>
@section('content')

    <div class="container-fluid my-5">
        <h2>{{ Auth::user()->name }} - {{translate('Recent Games')}}</h2>

        <div class="row">
            @foreach ($history as $game)
                <div class="col-md-2 mt-1">
                    <div class="card">
                        <img src="{{ asset('images/games/icons/' . $game->game->image) }}" class="card-img-top game-image" alt="{{ $game->game->name }}">
                        <div class="card-body">
                            <h5 class="card-title text-truncate">{{ $game->game->name }}</h5>
                            <a href="{{ route('game', $game->game->slug) }}" class="btn btn-primary">{{translate('Play Now')}}</a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
@endsection

@elseif($theme == 'gamehive')
    @section('content')
    <!-- Sidebar Container with Sidebar and Button inside -->
    <div class="gamehive-sidebar-container" id="sidebarContainer">
        <!-- Sidebar -->
        <div class="gamehive-sidebar">
            <ul class="gamehive-category-list">
                @foreach($hivecategories as $category)
                <li class="col-md-12 mb-4">
                    <div class="card" style="cursor: pointer;" onclick="location.href='{{ route('category', $category->slug) }}'">
                        <img src="{{ asset('images/categories/' . $category->image) }}" class="card-img-top" alt="{{ $category->name }}">
                        <h6 class="card-title text-center"><strong>{{ $category->name }}</strong></h6>
                    </div>
                </li>
                @endforeach
            </ul>
        </div>
        <!-- Floating Button -->
        <button class="gamehive-floating-button" onclick="toggleSidebar()">☰</button>
    </div>

    <div class="container">
        <!-- Search Box -->
        <form class="mb-4" action="{{ route('search') }}" method="GET">
            <div class="search-box" id="searchBox">
                <input type="text" name="search" placeholder="{{translate('Search games...')}}" aria-label="Search">
                <button type="submit">🔍</button>
            </div>
        </form>

        <section id="game-list">
            @foreach ($history as $game)
                <div class="game-card position-relative" style="cursor: pointer;" onclick="location.href='{{ route('game', $game->game->slug) }}'">
                    <div class="game-thumbnail-wrapper">
                        <img src="{{ asset('images/games/icons/' . $game->game->image) }}" alt="{{ $game->game->name }}" class="img-fluid">
                        <div class="game-name-overlay position-absolute w-100 bottom-0 text-center text-white py-2">
                            {{ $game->game->name }}
                        </div>
                    </div>
                    <h6 class="mt-2">{{ $game->game->name }}</h6>
                </div>
            @endforeach
            <!-- Add more games here -->
        </section>
    </div>
    @endsection

@elseif($theme == 'gamegalore')

@section('content')
    <section class="container-fluid category-content" data-category-id=162>
        <article id=post-8518 class="post-8518 page type-page status-publish hentry">
            <header class="entry-header category-entry-header">
                <h1 class="entry-title category-headline">{{translate('History')}}</h1>
            </header>
            <div class=entry-content>
                <div id=first-content-below class=content-below-category>
                    <div id=games-container class="row g-2 row-cols-3 row-cols-xs-4 row-cols-sm-5 row-cols-md-6 row-cols-lg-7 row-cols-l-8 row-cols-xl-9 row-cols-xxl-10 row-cols-xxxl-12">
                        @foreach($history as $game)
                            <div class="game-col col">
                                <div class="game-wrapper img-aspect-ratio-1x1 rounded-3 shadow image-popup game ">
                                    <a href="{{route('game', $game->game->slug)}}">
                                        <img src={{asset('images/games/icons/'.$game->game->image)}} alt="{{ $game->game->name }}" title="{{ $game->game->name }}"
                                        class="rounded-3 img-fluid" loading=lazy>
                                        <div class=text>{{ $game->game->name }}</div>
                                    </a>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </article>
    </section>
@endsection

@endif
