
<!DOCTYPE html>
<html lang="en" >
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sign-Up/Sign-In </title>
    <link rel="stylesheet" href="<?php echo e(asset('frontend/user-login/style.css')); ?>">

</head>
<body>
<!-- partial:index.partial.html -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet">
    <div class="auth-container">
        <div class="auth-sidebar">
            <div style="display:flex; flex-direction: column;">
                <div>
                    <h2><?php echo e(translate('Welcome Back!')); ?></h2>
                    <p><?php echo e(translate('Access your account and manage your history, liked games etc. with our secure authentication system.')); ?></p>
                </div>
                <!-- Custom Dropdown with Arrow Icon -->
                <div class="dropdown ms-1 m-1 mt-2 text-center" style="margin-top:10px;">
                    <button class="dropdown-toggle" id="userMenuDropdown">
                        <img src="<?php echo e(asset('frontend/flags/' . currentLanguage()['flag'])); ?>" width="30" height="30" class="rounded-circle ms-2">
                        <?php echo e(currentLanguage()['name']); ?>

                        <i class="fas fa-chevron-down dropdown-arrow"></i> <!-- Added arrow icon here -->
                    </button>
                    <ul class="dropdown-menu" id="dropdownMenu">
                        <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a class="dropdown-item" href="<?php echo e(route('change.language', $lang->code)); ?>">
                                    <img src="<?php echo e(asset('frontend/flags/' . $lang->app_lang_code . '.svg')); ?>" width="20" height="20" class="me-2">
                                    <?php echo e($lang->name); ?>

                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>

            <div style="margin-top:20px;">
                <p><?php echo e(translate('Protected by advanced encryption and multi-factor authentication')); ?>.</p>
            </div>
        </div>

        <div class="auth-main">
            <form class="auth-form" method="POST" action="<?php echo e(route('register')); ?>">
                <?php echo csrf_field(); ?>
                <div class="form-header">
                    <h1><?php echo e(translate('Sign In')); ?></h1>
                    <p><?php echo e(translate('Continue with your preferred method')); ?></p>
                </div>

                <div class="social-buttons">
                    <?php if($settings['google_login'] == 1): ?>
                        <button type="button" class="social-button" onclick="location.href='<?php echo e(route('social.login', 'google')); ?>'">
                            <i class="fab fa-google"></i>
                        </button>
                    <?php endif; ?>
                    <?php if($settings['facebook_login'] == 1): ?>
                        <button type="button" class="social-button" onclick="location.href='<?php echo e(route('social.login', 'facebook')); ?>'">
                            <i class="fab fa-facebook-f"></i>
                        </button>
                    <?php endif; ?>
                    <?php if($settings['twitter_login'] == 1): ?>
                        <button type="button" class="social-button" onclick="location.href='<?php echo e(route('social.login', 'twitter')); ?>'">
                            <i class="fab fa-twitter"></i>
                        </button>
                    <?php endif; ?>

                </div>

                <div class="divider">or</div>

                <div class="form-group">
                    <i class="fas fa-user input-icon"></i>
                    <input type="text" name="name" class="form-control" id="name" placeholder="<?php echo e(translate('Full Name')); ?>" required>
                </div>

                <div class="form-group">
                    <i class="fas fa-envelope input-icon"></i>
                    <input type="email" name="email" class="form-control" id="email" placeholder="<?php echo e(translate('Email address')); ?>" required>
                </div>

                <div class="form-group">
                    <i class="fas fa-lock input-icon"></i>
                    <input type="password" class="form-control" name="password" id="password" placeholder="<?php echo e(translate('Password')); ?>" required>
                    <i class="far fa-eye password-toggle" id="passwordToggle"></i>
                </div>

                <div class="form-group">
                    <i class="fas fa-lock input-icon"></i>
                    <input type="password" class="form-control" name="password_confirmation" id="password_confirmation" placeholder="<?php echo e(translate('Password')); ?>" required>
                    <i class="far fa-eye password-toggle" id="passwordToggle"></i>
                </div>

                <button type="submit" class="submit-btn">
                    <span><?php echo e(translate('Sign In')); ?></span>
                    <div class="loader">
                        <i class="fas fa-spinner fa-spin"></i>
                    </div>
                </button>

                <div class="error-message" id="errorMessage"></div>
                <div class="success-message" id="successMessage"></div>

                <div class="terms">
                    <?php echo e(translate('By continuing, you agree to our')); ?> <a href="<?php echo e(url('privacy-policy')); ?>"><?php echo e(translate('Terms of Service')); ?></a> <?php echo e(translate('and')); ?> <a href="<?php echo e(url('privacy-policy')); ?>"><?php echo e(translate('Privacy Policy')); ?></a>
                </div>

                <div class="switch-form">
                    <?php echo e(translate('Already have an account?')); ?> <a href="<?php echo e(route('user.login')); ?>"><?php echo e(translate('Sign In')); ?></a>
                </div>
            </form>
        </div>
    </div>
<!-- partial -->
  <script  src="<?php echo e(asset('frontend/user-login/script.js')); ?>"></script>

</body>
</html>
<?php /**PATH /home/filaoxuw/toktuk.com/resources/views/auth/user/register.blade.php ENDPATH**/ ?>