<?php $__env->startSection('content'); ?>

<style>
    #game-display {
        display: flex;
        gap: 20px;
        padding: 20px;
        flex-wrap: wrap;
    }

    .card {
        position: relative;
        overflow: hidden;
    }

    .card-img-top {
        width: 100%;
        height: auto;
        transition: transform 0.3s ease;
    }

    .card-body {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: rgba(0, 0, 0, 0.6); /* Semi-transparent background */
        color: white;
        padding: 10px;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    .card-img-top {
        width: 100%;
        height: auto; /* Set a fixed height for uniformity */
        object-fit: cover; /* Ensures images are cropped proportionally */
    }

    .card:hover .card-img-top {
        transform: scale(1.1); /* Zoom effect on image hover */
    }

    .card:hover .card-body {
        opacity: 1; /* Show title on hover */
    }

    /* Set default layout for larger screens */
    #game-display .game-play-area,
    #game-display .game-info {
        flex: 1;
        max-width: 50%;
    }

    .fixed-size-image {
        width: 100%; /* Set your desired width */
        height: 200px; /* Set your desired height */
        object-fit: cover; /* Keeps the image aspect ratio */
        border-radius: 8px; /* Optional: to make rounded corners */
    }


    /* Responsive for screens smaller than 768px */
    @media (max-width: 768px) {
        #game-display .game-play-area,
        #game-display .game-info {
            max-width: 100%; /* Full width on smaller screens */
        }
        #game-display .game-info {
            margin-top: 20px; /* Space between sections on small screens */
        }
        .game-play-area{
            max-width: 100%;
            width: 100%;
        }
    }
</style>
    <!-- Sidebar Container with Sidebar and Button inside -->
    <div class="gamehive-sidebar-container" id="sidebarContainer">
        <!-- Sidebar -->
        <div class="gamehive-sidebar">
            <ul class="gamehive-category-list">
                <?php $__currentLoopData = $hivecategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li class="col-md-12 mb-4">
                    <div class="card" style="cursor: pointer;" onclick="location.href='<?php echo e(route('category', $category->slug)); ?>'">
                        <img src="<?php echo e(asset('images/categories/' . $category->image)); ?>" class="card-img-top" alt="<?php echo e($category->name); ?>">
                        <h6 class="card-title text-center"><strong><?php echo e($category->name); ?></strong></h6>
                    </div>
                </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
        <!-- Floating Button -->
        <button class="gamehive-floating-button" onclick="toggleSidebar()">☰</button>
    </div>
     <!-- Main Content -->
     <div class="container">
        <!-- Search Box -->
        <div class="search-box" id="searchBox" style="display: none;">
            <input type="text" placeholder="<?php echo e(translate('Search games...')); ?>" aria-label="Search">
            <button type="submit">🔍</button>
        </div>
        <!-- Game Display Section -->
        <section id="game-display">
            <div class="row">
                <div class="col-md-7">
                    <div class="position-relative">
                        <a style="text-decoration: none;" href="<?php echo e(route('game.play', $game->slug)); ?>">
                            <img src="<?php echo e(asset('images/games/banner/' . $game->banner)); ?>" alt="Game Banner" style="width: 100%; max-height: 500px; object-fit: cover; border-radius: 8px;">
                            <!-- Play Button Overlay -->
                            <div class="position-absolute top-50 start-50 translate-middle d-flex justify-content-center align-items-center"
                                style="width: 10vw; height: 10vw; max-width: 80px; max-height: 80px; background-color: rgba(0, 0, 0, 0.5); border-radius: 50%;">
                                <svg width="50%" height="50%" viewBox="0 0 16 16" fill="white">
                                    <path d="M6.79 3.093A.5.5 0 0 0 6 3.5v9a.5.5 0 0 0 .79.407l6-4.5a.5.5 0 0 0 0-.814l-6-4.5z"/>
                                </svg>
                            </div>
                        </a>
                    </div>
                </div>
                <?php
                    $categoryName = App\Models\Category::where('id', $game->category_id)->first();
                ?>
                <div class="col-md-5 p-2">
                    <h2 class="text-truncate"><?php echo e($game->name); ?></h2>
                    <p><strong><?php echo e(translate('Category')); ?>:</strong> <a style="text-decoration: none;" href="<?php echo e(route('category', $categoryName->slug)); ?>"><?php echo e($categoryName->name); ?></a></p>
                    <p><strong><?php echo e(translate('Description')); ?>:</strong> <?php echo Str::limit($game->description, 100, '...'); ?></p>
                    <a href="<?php echo e(route('game.play', $game->slug)); ?>" class="btn btn-primary"><?php echo e(translate('Play Fullscreen')); ?></a>

                    <div class="co-md-12 mt-3">
                        <div class="row">
                            <?php $__currentLoopData = $recentGames->take(8); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-md-3 mb-4">
                                    <div class="card" style="cursor: pointer;" onclick="location.href='<?php echo e(route('game', $game->slug)); ?>'">
                                        <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" class="card-img-top" alt="<?php echo e($game->name); ?>">
                                        <div class="card-body text-center">
                                            <h6 class="card-title"><?php echo e($game->name); ?></h6>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>

                </div>
            </div>
        </section>

        <!-- Related Games Section -->
        <section id="game-list">
            <!-- Game Card 1 -->
            <?php $__currentLoopData = $relatedGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="game-card" style="cursor: pointer;" onclick="location.href='<?php echo e(route('game', $game->slug)); ?>'">
                    <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" class="game-thumbnail" alt="Action Game">
                    <div class="card-body text-center">
                        <h6 class="card-title"><?php echo e($game->name); ?></h6>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </section>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/filaoxuw/toktuk.com/resources/views/frontend/details/gamehive.blade.php ENDPATH**/ ?>