<?php $__env->startSection('content'); ?>

<style>
    #game-display {
        display: flex;
        gap: 20px;
        padding: 0px;
        flex-wrap: wrap;
    }

    .card {
        position: relative;
        overflow: hidden;
    }

    .card-img-top {
        width: 100%;
        height: auto;
        transition: transform 0.3s ease;
    }

    .card-body {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: rgba(0, 0, 0, 0.6); /* Semi-transparent background */
        color: white;
        padding: 10px;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    .card-img-top {
        width: 100%;
        height: auto; /* Set a fixed height for uniformity */
        object-fit: cover; /* Ensures images are cropped proportionally */
    }

    .card:hover .card-img-top {
        transform: scale(1.1); /* Zoom effect on image hover */
    }

    .card:hover .card-body {
        opacity: 1; /* Show title on hover */
    }

    /* Set default layout for larger screens */
    #game-display .game-play-area,
    #game-display .game-info {
        flex: 1;
        max-width: 50%;
    }

    .fixed-size-image {
        width: 100%; /* Set your desired width */
        height: 200px; /* Set your desired height */
        object-fit: cover; /* Keeps the image aspect ratio */
        border-radius: 8px; /* Optional: to make rounded corners */
    }

    .game-play-window{
        width: 100%;
        max-height: 500px;
        height:500px;
        border-radius: 8px;
    }

    #comment-count{
        font-size: 12px;
    }

    #like-count{
        font-size: 12px;
    }
    #dislike-count{
        font-size: 12px;
    }

    @media (max-width: 576px) {
        .responsive-container {
            flex-direction: column;
            align-items: flex-start;
        }
        h4 {
            font-size: 1rem;
            max-width: 100%;
        }
        .btn-group .btn {
            font-size: 0.75rem;
            padding: 0.25rem 0.5rem;
        }
        .btn-group svg {
            width: 16px;
            height: 16px;
        }
    }

    /* Responsive for screens smaller than 768px */
    @media (max-width: 768px) {
        #game-display .game-play-area,
        #game-display .game-info {
            max-width: 100%; /* Full width on smaller screens */
        }
        #game-display .game-info {
            margin-top: 20px; /* Space between sections on small screens */
        }
        .game-play-area{
            max-width: 100%;
            width: 100%;
        }
        .game-play-window{
            height: 320px;
        }
    }
</style>
    <!-- Sidebar Container with Sidebar and Button inside -->
    <div class="gamehive-sidebar-container" id="sidebarContainer">
        <!-- Sidebar -->
        <div class="gamehive-sidebar">
            <ul class="gamehive-category-list">
                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li class="col-md-12 mb-4">
                    <div class="card" style="cursor: pointer;" onclick="location.href='<?php echo e(route('category', $category->slug)); ?>'">
                        <img src="<?php echo e(asset('images/categories/' . $category->image)); ?>" class="card-img-top" alt="<?php echo e($category->name); ?>">
                        <label style="font-weight: 10px;" class="text-center"><strong><?php echo e($category->name); ?></strong></label>
                    </div>
                </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>

        <!-- Floating Button -->
        <button class="gamehive-floating-button" onclick="toggleSidebar()">☰</button>
    </div>
     <!-- Main Content -->
     <div class="container">
        <!-- Search Box -->
        <div class="search-box" id="searchBox" style="display: none;">
            <input type="text" placeholder="<?php echo e(translate('Search games...')); ?>" aria-label="Search">
            <button type="submit">🔍</button>
        </div>
        <!-- Game Display Section -->
        <section id="game-display">
            <div class="row">
                <div class="col-md-7">
                    <div class="position-relative">
                        <iframe id="content-iframe" class="game-play-window" src="<?php echo e($game->game_url); ?>" title="<?php echo e(translate('Game Frame')); ?>"
                            frameborder="0"
                            allowfullscreen>
                        </iframe>
                        <div class="d-flex flex-wrap align-items-center justify-content-between responsive-container mt-2 mb-2">
                            <h4 class="text-truncate mb-2 mb-md-0"><?php echo e($game->name); ?></h4>
                            <div>
                                <div class="btn-group btn-group-toggle">
                                    <button class="btn btn-sm btn-primary" onclick="toggleCommentSection()">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="icon icon-tabler icons-tabler-outline icon-tabler-message">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                            <path d="M21 15a2 2 0 0 1 -2 2h-4l-4 4v-4h-4a2 2 0 0 1 -2 -2v-8a2 2 0 0 1 2 -2h12a2 2 0 0 1 2 2z" />
                                        </svg>
                                        <span id="comment-count"><?php echo e(\App\Helpers\NumberFormatter::formatNumber($game->comments->where('comment', true)->count())); ?></span>
                                    </button>
                                    <button id="like-button" class="btn btn-sm btn-success">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="icon icon-tabler icons-tabler-outline icon-tabler-thumb-up">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                            <path d="M7 11v8a1 1 0 0 1 -1 1h-2a1 1 0 0 1 -1 -1v-7a1 1 0 0 1 1 -1h3a4 4 0 0 0 4 -4v-1a2 2 0 0 1 4 0v5h3a2 2 0 0 1 2 2l-1 5a2 3 0 0 1 -2 2h-7a3 3 0 0 1 -3 -3" />
                                        </svg>
                                        <span id="like-count"><?php echo e(\App\Helpers\NumberFormatter::formatNumber($game->reactions->where('like', true)->count())); ?></span>
                                    </button>

                                    <button id="dislike-button" class="btn btn-sm btn-danger">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="icon icon-tabler icons-tabler-outline icon-tabler-thumb-down">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                            <path d="M7 13v-8a1 1 0 0 0 -1 -1h-2a1 1 0 0 0 -1 1v7a1 1 0 0 0 1 1h3a4 4 0 0 1 4 4v1a2 2 0 0 0 4 0v-5h3a2 2 0 0 0 2 -2l-1 -5a2 3 0 0 0 -2 -2h-7a3 3 0 0 0 -3 3" />
                                        </svg>
                                        <span id="dislike-count"><?php echo e(\App\Helpers\NumberFormatter::formatNumber($game->reactions->where('dislike', true)->count())); ?></span>
                                    </button>

                                    <button class="btn btn-sm btn-secondary" onclick="toggleFullscreen()">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 20 20" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="icon icon-tabler icons-tabler-outline icon-tabler-maximize">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                            <path d="M4 8v-2a2 2 0 0 1 2 -2h2" />
                                            <path d="M4 16v2a2 2 0 0 0 2 2h2" />
                                            <path d="M16 4h2a2 2 0 0 1 2 2v2" />
                                            <path d="M16 20h2a2 2 0 0 0 2 -2v-2" />
                                        </svg>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div id="comment-section" class="mt-2" style="display: none;">
                            <div class="container-fluid my-5">
                                <h4><?php echo e(translate('User Comments')); ?></h4>
                                <div class="mb-3 col-md-12">
                                    <?php if(auth()->guard()->check()): ?>
                                        <form id="comment-form">
                                            <?php echo csrf_field(); ?>
                                            <label for="comment" class="form-label"><?php echo e(translate('Leave a Comment')); ?></label>
                                            <textarea class="form-control" id="comment" name="comment" rows="3" required></textarea>
                                            <button type="submit" class="btn btn-primary mt-3"><?php echo e(translate('Submit')); ?></button>
                                        </form>
                                    <?php else: ?>
                                        <p><?php echo e(translate('Please')); ?> <a href="<?php echo e(route('login')); ?>"> <?php echo e(translate('log in')); ?></a> <?php echo e(translate('to leave a comment')); ?>.</p>
                                    <?php endif; ?>
                                </div>

                                <!-- Display user comments here -->
                                <div id="comments" class="comments mt-4">
                                    <?php $__currentLoopData = $game->comments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="comment mb-4 p-3" style="border: 1px solid #e0e0e0; border-radius: 8px; background-color: #5a575700;">
                                            <div class="d-flex align-items-center mb-2">
                                                <img width="40" src="<?php echo e(asset('images/user/'.$comment->user->image) ?? 'https://via.placeholder.com/40'); ?>" class="rounded-circle me-3" alt="User Avatar">
                                                <strong><?php echo e($comment->user->name); ?></strong>
                                            </div>
                                            <p class="mb-2"><?php echo e($comment->comment); ?></p>
                                            <small class="text-dark"><?php echo e($comment->created_at->diffForHumans()); ?></small>

                                            <!-- Reply form (hidden by default) -->
                                            <div class="reply-section mt-3">
                                                <a href="#" class="reply-btn text-primary"><?php echo e(translate('Reply')); ?></a>
                                                <form class="reply-form mt-2" style="display:none;" action="<?php echo e(route('games.reply', ['comment' => $comment->id])); ?>" method="POST">
                                                    <?php echo csrf_field(); ?>
                                                    <textarea class="form-control" name="reply" rows="2" placeholder="<?php echo e(translate('Write a reply')); ?>"></textarea>
                                                    <button type="submit" class="btn btn-primary mt-2"><?php echo e(translate('Submit Reply')); ?></button>
                                                </form>
                                            </div>

                                            <!-- Display replies here -->
                                            <div class="replies mt-3">
                                                <?php $__currentLoopData = $comment->replies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reply): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="reply mb-2">
                                                        <strong><?php echo e($reply->user->name); ?></strong>
                                                        <p><?php echo e($reply->comment); ?></p>
                                                        <small><?php echo e($reply->created_at->diffForHumans()); ?></small>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                    $categoryName = App\Models\Category::where('id', $game->category_id)->first();
                ?>
                <div class="col-md-5">
                    <div class="co-md-12">
                        <div class="row">
                            <?php $__currentLoopData = $recentGames->take(16); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-md-3 mb-4">
                                    <div class="card" style="cursor: pointer;" onclick="location.href='<?php echo e(route('game', $game->slug)); ?>'">
                                        <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" class="card-img-top" alt="<?php echo e($game->name); ?>">
                                        <div class="card-body text-center">
                                            <h6 class="card-title"><?php echo e($game->name); ?></h6>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>

                </div>
            </div>
        </section>

        <!-- Related Games Section -->
        <section id="game-list">
            <!-- Game Card 1 -->
            <?php $__currentLoopData = $relatedGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="game-card" style="cursor: pointer;" onclick="location.href='<?php echo e(route('game', $game->slug)); ?>'">
                    <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" class="game-thumbnail" alt="<?php echo e($game->name); ?>">
                    <div class="card-body text-center">
                        <h6 class="card-title"><?php echo e($game->name); ?></h6>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </section>

    </div>
    <script src="<?php echo e(asset('frontend/js/jquery.min.js')); ?>"></script>
    <script>
        function toggleFullscreen() {
            const iframe = document.querySelector('iframe');
            if (iframe.requestFullscreen) {
                iframe.requestFullscreen();
            } else if (iframe.mozRequestFullScreen) { // Firefox
                iframe.mozRequestFullScreen();
            } else if (iframe.webkitRequestFullscreen) { // Chrome, Safari and Opera
                iframe.webkitRequestFullscreen();
            } else if (iframe.msRequestFullscreen) { // IE/Edge
                iframe.msRequestFullscreen();
            }
        }
    </script>

    <script>
        function openIframeFullscreen() {
            const iframe = document.getElementById("content-iframe");

            if (iframe.requestFullscreen) {
                iframe.requestFullscreen().catch(err => {
                    console.warn("Fullscreen request failed:", err);
                });
            } else if (iframe.mozRequestFullScreen) { // Firefox
                iframe.mozRequestFullScreen().catch(err => {
                    console.warn("Fullscreen request failed:", err);
                });
            } else if (iframe.webkitRequestFullscreen) { // Chrome, Safari and Opera
                iframe.webkitRequestFullscreen().catch(err => {
                    console.warn("Fullscreen request failed:", err);
                });
            } else if (iframe.msRequestFullscreen) { // IE/Edge
                iframe.msRequestFullscreen().catch(err => {
                    console.warn("Fullscreen request failed:", err);
                });
            }
        }

        // Check for mobile and load in fullscreen mode
        window.addEventListener('load', () => {
            if (/Mobi|Android/i.test(navigator.userAgent)) {  // Detect if on mobile
                openIframeFullscreen();
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/filaoxuw/toktuk.com/resources/views/frontend/play/gamehive.blade.php ENDPATH**/ ?>