<?php $__env->startSection('content'); ?>

<!-- Bootstrap CSS (if not already included) -->
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet">
<!-- Bootstrap Switch CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/css/bootstrap3/bootstrap-switch.min.css" rel="stylesheet">

<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Languages</h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right ml-1">
                <a href="<?php echo e(route('admin.create.language')); ?>" class="btn btn-primary"><i class="fa fa-plus"></i> Add New</a>
            </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h1 class="card-title">Choose Default Language</h1>
                        <form action="<?php echo e(route('admin.store.default.language')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <select class="form-control form-select" name="default_language" id="default_language">
                                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($lang->code); ?>" <?php if($defaultLanguage->value == $lang->code): ?> selected <?php endif; ?>><?php echo e($lang->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="form-group text-right">
                                <button type="submit" class="btn btn-primary">Save</button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card">
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>code</th>
                                    <th>RTL Support</th>
                                    <th>Status</th>
                                    <th class="text-right">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($language->name); ?></td>
                                        <td><?php echo e($language->code); ?></td>
                                        <td>
                                            <input type="checkbox" class="rtl-switch" data-id="<?php echo e($language->id); ?>" <?php echo e($language->rtl ? 'checked' : ''); ?> data-bootstrap-switch data-off-color="danger" data-on-color="success">
                                        </td>
                                        <td>
                                            <input type="checkbox" class="status-switch" data-id="<?php echo e($language->id); ?>" <?php echo e($language->status ? 'checked' : ''); ?> data-bootstrap-switch data-off-color="danger" data-on-color="success">
                                        </td>
                                        <td class="text-right">

                                            <a href="<?php echo e(route('translations.index', $language->id)); ?>" class="btn btn-warning" title="Translate"><i class="fa fa-language"></i></a>
                                            <!-- Edit Button -->
                                            <a href="<?php echo e(route('admin.edit.language', $language->id)); ?>" class="btn btn-success"><i class="fa fa-edit"></i></a>

                                            <!-- Delete Form -->
                                            <form action="<?php echo e(route('admin.delete.language', $language->id)); ?>" method="POST" style="display:inline-block;">
                                                <?php echo csrf_field(); ?>
                                                <!-- Since the route is using POST, we don't need <?php echo method_field('DELETE'); ?> -->
                                                <button type="submit" class="btn btn-danger delete"><i class="fa fa-trash"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Bootstrap Switch JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/js/bootstrap-switch.min.js"></script>

<script>
    $(document).ready(function() {
        $("input[data-bootstrap-switch]").each(function(){
            $(this).bootstrapSwitch();
        });

        // Handle the switch change event
        $('.status-switch').on('switchChange.bootstrapSwitch', function (event, state) {
            let categoryId = $(this).data('id');
            let status = state ? 1 : 0;

            $.ajax({
                url: '<?php echo e(route("admin.languages.toggleStatus")); ?>',
                type: 'POST',
                data: {
                    _token: '<?php echo e(csrf_token()); ?>',
                    id: categoryId,
                    status: status
                },
                success: function(response) {
                    if(response.success) {
                        toastr.success('Status updated successfully!');
                    } else {
                        toastr.error('Status update failed.');
                    }
                },
                error: function(xhr) {
                    toastr.error('An error occurred. Please try again.');
                }
            });
        });

        $('.rtl-switch').on('switchChange.bootstrapSwitch', function (event, state) {
            let categoryId = $(this).data('id');
            let rtl = state ? 1 : 0;

            $.ajax({
                url: '<?php echo e(route("admin.languages.toggleRtl")); ?>',
                type: 'POST',
                data: {
                    _token: '<?php echo e(csrf_token()); ?>',
                    id: categoryId,
                    rtl: rtl
                },
                success: function(response) {
                    if(response.success) {
                        toastr.success('Status updated successfully!');
                    } else {
                        toastr.error('Status update failed.');
                    }
                },
                error: function(xhr) {
                    toastr.error('The RTL feature will be available soon.');
                }
            });
        });

    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/filaoxuw/toktuk.com/resources/views/backend/languages/index.blade.php ENDPATH**/ ?>