<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Game Portal</title>
    <link href="<?php echo e(asset('frontend/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/gamehive/styles.css')); ?>">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap" rel="stylesheet">
    <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-8545747764677826"
     crossorigin="anonymous"></script>
     <meta name="google-adsense-account" content="ca-pub-8545747764677826">
</head>
<body class="d-flex flex-column min-vh-100">

    <?php echo $__env->make('frontend.partials.game-hive-header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <main class="flex-grow-1">
    <?php echo $__env->yieldContent('content'); ?>
    </main>


    <?php if(env('DEMO_MODE') == 'on'): ?>

    <!-- Floating Settings Button -->
    <div id="settingsButton" onclick="openThemeModal()">⚙️ <?php echo e(translate('Themes')); ?></div>

    <!-- Theme Modal -->
    <div id="themeModal" class="theme-modal">
        <?php
            $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
        ?>
        <div class="modal-content">
            <span class="close-btn" onclick="closeThemeModal()">&times;</span>
            <h4><?php echo e(translate('Choose Theme')); ?></h4>
            <hr>
            <section id="game-list">
                <div class="theme-card" data-theme="playverse" onclick="selectTheme(this)">
                    <img src="<?php echo e(asset('themes/gameverse.jpg')); ?>" alt="PlayVerse">
                    <div class="theme-title">
                        <h6>PlayVerse</h6>
                        <?php if($theme == 'playverse'): ?>
                            <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="theme-card" data-theme="gamehive" onclick="selectTheme(this)">
                    <img src="<?php echo e(asset('themes/gamehive.jpg')); ?>" alt="GameHive">
                    <div class="theme-title">
                        <h6>GameHive</h6>
                        <?php if($theme == 'gamehive'): ?>
                            <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="theme-card" data-theme="gamegalore" onclick="selectTheme(this)">
                    <img src="<?php echo e(asset('themes/gamegalore.jpg')); ?>" alt="GameGalore">
                    <div class="theme-title">
                        <h6>GameGalore</h6>
                        <?php if($theme == 'gamegalore'): ?>
                            <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                        <?php endif; ?>
                    </div>
                </div>
            </section>
        </div>
    </div>

    <?php endif; ?>

    <?php echo $__env->make('frontend.partials._footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script src="<?php echo e(asset('frontend/gamehive/scripts.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('frontend/js/bootstrap.bundle.min.js')); ?>"></script>

    <script type="text/javascript" src="<?php echo e(asset('frontend/js/jquery.min.js')); ?>"></script>
</body>
</html>
<?php /**PATH /home/filaoxuw/toktuk.com/resources/views/frontend/themes/gamehive/layout.blade.php ENDPATH**/ ?>