<?php
    $aboutUs = App\Models\Pages::where('id', 1)->first();
    $contactUs = App\Models\Pages::where('id', 2)->first();
    $privacyPolicy = App\Models\Pages::where('id', 3)->first();
    $settings = App\Models\BusinessSettings::pluck('value', 'key')->toArray();
    $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
?>

<?php if($theme == 'playverse'): ?>

<footer class="bg-light text-center text-lg-start">
    <div class="container-fluid p-4">
        <div class="row">
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
                <h5 class="text-uppercase">About <?php echo e(old('website_name', $settings['website_name'] ?? '')); ?></h5>
                <p>
                    <?php echo e(old('website_tagline', $settings['website_tagline'] ?? '')); ?>

                </p>
            </div>
            <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
                <h5 class="text-uppercase"><?php echo e(translate('Quick Links')); ?></h5>
                <ul class="list-unstyled">
                    <li><a href="<?php echo e(route('pages.userpages', $aboutUs->slug ?? '')); ?>"><?php echo e(translate('About Us')); ?></a></li>
                    <li><a href="<?php echo e(route('pages.userpages', $contactUs->slug ?? '')); ?>"><?php echo e(translate('Contact')); ?></a></li>
                    <li><a href="<?php echo e(route('pages.userpages', $privacyPolicy->slug ?? '')); ?>"><?php echo e(translate('Privacy Policy')); ?></a></li>
                    <li><<a href="<?php echo e(route('pages.userpages', $termsandconditions->slug ?? '')); ?>"><?php echo e(translate('Terms and Conditions')); ?></a></li>
                </ul>
            </div>
             
        </div>
    </div>
    <div class="text-center p-3 bg-dark text-white">
        © 2024 <?php echo e(old('website_name', $settings['website_name'] ?? '')); ?>. <?php echo e(translate('All Rights Reserved')); ?>.
    </div>
</footer>

<?php elseif($theme == 'gamehive'): ?>

<footer class="footer">
    <div class="footer-content">
        <p>&copy; <?php echo e(translate('2024 HTML Game Portal. All rights reserved')); ?>.</p>
        <div class="social-media">
            <a href="<?php echo e(route('pages.userpages', $aboutUs->slug ?? '')); ?>"><?php echo e(translate('About Us')); ?></a>
            <a href="<?php echo e(route('pages.userpages', $contactUs->slug ?? '')); ?>"><?php echo e(translate('Contact')); ?></a>
            <a href="<?php echo e(route('pages.userpages', $privacyPolicy->slug ?? '')); ?>"><?php echo e(translate('Privacy Policy')); ?></a>
            <a href="<?php echo e(route('pages.userpages', $termsandconditions->slug ?? '')); ?>"><?php echo e(translate('Terms and Conditions')); ?></a>
        </div>
    </div>
</footer>

<?php endif; ?>
<?php /**PATH /home/filaoxuw/toktuk.com/resources/views/frontend/partials/_footer.blade.php ENDPATH**/ ?>