<?php
    $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
?>

<link rel="manifest" href="/manifest.json">
<style>
    .slick-slide{
        height: 200px!important;
    }
    @media (max-width: 768px) {
        .slick-slide{
            height: 110px!important;
        }
    }
</style>
<script>
    if ('serviceWorker' in navigator) {
        navigator.serviceWorker.register('/sw.js')
            .then(() => console.log('Service Worker Registered'))
            .catch((error) => console.error('Service Worker Registration Failed:', error));
    }
</script>

<?php if($theme == 'playverse'): ?>

<?php echo $__env->make('frontend.themes.playverse.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php elseif($theme == 'gamehive'): ?>

<?php echo $__env->make('frontend.themes.gamehive.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php elseif($theme == 'gamegalore'): ?>

<?php echo $__env->make('frontend.themes.gamegalore.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php endif; ?>


<script>
    document.querySelectorAll('.theme-card').forEach(card => {
        card.addEventListener('click', function() {
            const selectedTheme = this.getAttribute('data-theme');

            fetch('<?php echo e(route('set.theme')); ?>', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>' // Include CSRF token
                },
                body: JSON.stringify({ theme: selectedTheme })
            })
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }
                return response.json();
            })
            .then(data => {
                if (data.success) {
                    location.reload();
                } else {
                    alert('Failed to change theme');
                }
            })
            .catch(error => {
                console.error('Error:', error);
            });
        });
    });


</script>
<?php /**PATH /home/filaoxuw/toktuk.com/resources/views/frontend/layout.blade.php ENDPATH**/ ?>